#property copyright "Copyright  2009, Aiman"
#property link      ""
#property show_inputs 
#include <stdlib.mqh>
   
extern int SL = 0;
extern int TP = 0;
extern int MagicNumber=0;

int start()
{
   double bid,ask,point;
   for(int i=0;i<OrdersTotal();i++)
   {
      OrderSelect(i, SELECT_BY_POS, MODE_TRADES);
      if (MagicNumber!=0 && MagicNumber != OrderMagicNumber()) continue;
        bid=MarketInfo(OrderSymbol(),MODE_BID);
        ask=MarketInfo(OrderSymbol(),MODE_ASK);
      point=MarketInfo(OrderSymbol(),MODE_POINT);
      
      int err=1, cnt=0;
      bool loop=1;
      while (loop)
      {
         if(SL>0)
         {
            double StopLossBuy=bid-SL*point;
            double StopLossSell=ask+SL*point;
         }
         if(TP>0)
         {
            double TakeProfitBuy=bid+TP*point;
            double TakeProfitSell=ask-TP*point;   
         }
         if(SL==0) { StopLossBuy=0; StopLossSell=0; }
         if(TP==0) { TakeProfitBuy=0; TakeProfitSell=0; }
      
         if (OrderType()==OP_BUY)   OrderModify(OrderTicket(), OrderOpenPrice(), StopLossBuy, TakeProfitBuy, 0, CLR_NONE);
         if (OrderType()==OP_SELL)  OrderModify(OrderTicket(), OrderOpenPrice(), StopLossSell, TakeProfitSell, 0, CLR_NONE);
         cnt++;
         err=GetLastError();
         if (err==0 || cnt>20) loop=false;
         else
         {
            if (err>0) Print (ErrorDescription(err));
            Sleep(50);
            cnt++;
         }
      }
   }
   return(0);
}

